---
title: Web Bluetooth API
slug: Web/API/Web_Bluetooth_API
tags:
  - API
  - Bluetooth
  - Overview
  - Reference
  - Web Bluetooth API
---
<p>{{DefaultAPISidebar("Bluetooth API")}}{{SeeCompatTable}}</p>

<p><span class="seoSummary">The Web Bluetooth API provides the ability to connect and interact with Bluetooth Low Energy peripherals.</span></p>

<div class="notecard note">
<p><strong>Note:</strong> This API is <em>not available</em> in <a href="/en-US/docs/Web/API/Web_Workers_API">Web Workers</a> (not exposed via {{domxref("WorkerNavigator")}}).</p>
</div>

<h2 id="Interfaces">Interfaces</h2>

<dl>
 <dt>{{DOMxRef("Bluetooth")}}</dt>
 <dd>Returns a {{jsxref("Promise")}} to a {{DOMxRef("BluetoothDevice")}} object with the specified options.</dd>
 <dt>{{DOMxRef("BluetoothAdvertisingData")}} {{Non-standard_Inline}} {{Obsolete_Inline}}</dt>
 <dd>Provides advertising data about a particular Bluetooth device.</dd>
 <dt>{{DOMxRef("BluetoothCharacteristicProperties")}}</dt>
 <dd>Provides properties of a particular <code>BluetoothRemoteGATTCharacteristic</code>.</dd>
 <dt>{{DOMxRef("BluetoothDevice")}}</dt>
 <dd>Represents a Bluetooth device inside a particular script execution environment.</dd>
 <dt>{{DOMxRef("BluetoothRemoteGATTCharacteristic")}}</dt>
 <dd>Represents a GATT Characteristic, which is a basic data element that provides further information about a peripheral’s service.</dd>
 <dt>{{DOMxRef("BluetoothRemoteGATTDescriptor")}}</dt>
 <dd>Represents a GATT Descriptor, which provides further information about a characteristic’s value.</dd>
 <dt>{{DOMxRef("BluetoothRemoteGATTServer")}}</dt>
 <dd>Represents a GATT Server on a remote device.</dd>
 <dt>{{DOMxRef("BluetoothRemoteGATTService")}}</dt>
 <dd>Represents a service provided by a GATT server, including a device, a list of referenced services, and a list of the characteristics of this service.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Feedback</th>
  </tr>
  <tr>
   <td>{{SpecName("Web Bluetooth")}}</td>
   <td>To provide feedback on the Web Bluetooth API, <a href="https://github.com/WebBluetoothCG/web-bluetooth/issues/">file a spec issue</a>.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Bluetooth")}}</p>
</div>
